Skip to main content
POST
https://{tenantDomain}/api/v2
/
groups
/
{id}
/
roles
Assign roles to a group
curl --request POST \
  --url https://{tenantDomain}/api/v2/groups/{id}/roles \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "roles": [
    "<string>"
  ]
}
'

Documentation Index

Fetch the complete documentation index at: https://auth0.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Unique identifier for the group (service-generated).

Required string length: 18 - 26

Body

roles
string<role-id>[]
required

Array of role IDs to assign to the group.

Minimum array length: 1

Unique identifier for the role (service-generated).

Response

Roles successfully assigned to group.